Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
DirectObject Class Reference
Inheritance diagram for DirectObject:

## Public Member Functions
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Static Public Attributes
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Protected Member Functions
| _addTask (self, task)
| _clearTask (self, task)

## Protected Attributes
dict | _taskList = {}

## Detailed Description

    This is the class that all Direct/SAL classes should inherit from

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ _addTask()

_addTask | ( |  | self,
|  |  | task )
| protected

## ◆ _clearTask()

_clearTask | ( |  | self,
|  |  | task )
| protected

## ◆ accept()

accept | ( |  | self,
|  |  | event,
|  |  | method,
|  |  | extraArgs = [] )

## ◆ acceptOnce()

acceptOnce | ( |  | self,
|  |  | event,
|  |  | method,
|  |  | extraArgs = [] )

## ◆ addTask()

addTask | ( |  | self,
|  | * | args,
|  | ** | kwargs )

## ◆ detectLeaks()

detectLeaks | ( |  | self | ) |

## ◆ doMethodLater()

doMethodLater | ( |  | self,
|  | * | args,
|  | ** | kwargs )

## ◆ getAllAccepting()

getAllAccepting | ( |  | self | ) |

## ◆ ignore()

ignore | ( |  | self,
|  |  | event )

## ◆ ignoreAll()

ignoreAll | ( |  | self | ) |

## ◆ isAccepting()

isAccepting | ( |  | self,
|  |  | event )

## ◆ isIgnoring()

isIgnoring | ( |  | self,
|  |  | event )

## ◆ removeAllTasks()

removeAllTasks | ( |  | self | ) |

## ◆ removeTask()

removeTask | ( |  | self,
|  |  | taskOrName )

## Member Data Documentation

## ◆ _taskList

dict _taskList = {}
| protected

## ◆ accept_once

accept_once = acceptOnce
| static

## ◆ add_task

add_task = addTask
| static

## ◆ detect_leaks

detect_leaks = detectLeaks
| static

## ◆ do_method_later

do_method_later = doMethodLater
| static

## ◆ get_all_accepting

get_all_accepting = getAllAccepting
| static

## ◆ ignore_all

ignore_all = ignoreAll
| static

## ◆ is_accepting

is_accepting = isAccepting
| static

## ◆ is_ignoring

is_ignoring = isIgnoring
| static

## ◆ remove_all_tasks

remove_all_tasks = removeAllTasks
| static

## ◆ remove_task

remove_task = removeTask
| static